--- title: Read File | Luma Agents --- GET /v1/skills/{skill\_id}/versions/{version}/files/{path} Select code samplecURL (shell:curl) ```js const url = 'https://agents.lumalabs.ai/v1/skills/example/versions/example/files/example'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```sh curl --request GET \ --url https://agents.lumalabs.ai/v1/skills/example/versions/example/files/example \ --header 'Authorization: Bearer ' ``` - Productionagents.lumalabs.ai/v1/skills/{skill\_id}/versions/{version}/files/{path} Read back one text file of a version — `SKILL.md` or a reference. Assets are listed, not served. ## Authorizations - **[BearerAuth](/api/agents/index.md#bearerauth)** ## Parameters ### Path Parameters **skill\_id** required *Skill Id* string **path** required *Path* string **version** required *Version* A version number, or `latest`. string A version number, or `latest`. ## Responses ### 200 Successful Response Select media typetext/markdown string ### 422 Validation Error Media typeapplication/json *HTTPValidationError* object **detail** *Detail* Array\ *ValidationError* object **ctx** *Context* object **input** *Input* **loc** required *Location* Array **msg** required *Message* string **type** required *Error Type* string ##### Examplegenerated ```json { "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ] } ```